Bug 121927 - [PATCH] [SECURITY] Update ports/archivers/bzip2 to 1.0.5
Summary: [PATCH] [SECURITY] Update ports/archivers/bzip2 to 1.0.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Xin LI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-20 22:30 UTC by Xin LI
Modified: 2008-03-21 08:07 UTC (History)
1 user (show)

See Also:


Attachments
ports-bzip2.diff (1.34 KB, patch)
2008-03-20 22:30 UTC, Xin LI
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xin LI freebsd_committer 2008-03-20 22:30:00 UTC
	See CERT-FI 20469 and CVE-2008-1372.

	While I'm there remove an empty file.
Comment 1 Edwin Groothuis freebsd_committer 2008-03-20 22:30:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->delphij

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-03-20 22:30:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=121927 

Date: Thu, 20 Mar 2008 18:34:46 -0400
Comment 3 dfilter service freebsd_committer 2008-03-20 23:44:57 UTC
delphij     2008-03-20 23:44:54 UTC

  FreeBSD ports repository

  Modified files:
    archivers/bzip2      Makefile distinfo 
  Removed files:
    archivers/bzip2/files patch-bzip2.c 
  Log:
  Update to 1.0.5 which fixes CVE-2008-1732.
  
  PR:             ports/121927
  Security:       VuXml 063399fc-f6d6-11dc-bcee-001c2514716c
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.43      +1 -1      ports/archivers/bzip2/Makefile
  1.15      +3 -3      ports/archivers/bzip2/distinfo
  1.3       +0 -1      ports/archivers/bzip2/files/patch-bzip2.c (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Xin LI freebsd_committer 2008-03-20 23:45:16 UTC
State Changed
From-To: feedback->closed

Committed under maintainer approval.